/*****************************************************************************/
/*                       test individual rexx commands                       */
/*****************************************************************************/

save_result = result
say 'Enter REXX statements:'
result =

restart:
signal on syntax

do forever
    call charout ,'Rexx>'
    parse linein __temp__
    result = save_result
    interpret __temp__
    save_result = result
    end
return

/* syntax error handler */
syntax:
say 'REXX error' rc 'in line' sigl':' errortext(rc)
if sourceline() > 0 & symbol('sigl') = 'VAR' then
    say '=====>' sourceline(sigl)
signal restart
