/*
*  TEE - Filter to write output to one or more files as well as to STDOUT.
*  Format:  TEE [fileid1 [fileid2 [fileidn]]]
*  Example: SORT <MYFILE.TXT | REXX TEE MYSORT.TXT
*/
parse arg fileids
files = words(fileids)
do i = 1 to files
   file.i = word(fileids, i)
   call dosdel file.i
   end
do while lines() \= 0
   line = linein()
   call lineout , line
   do i = 1 to files
      call lineout file.i, line
      end
   end
do i = 1 to files
   call lineout file.i
   end
