/*****************************************************************************/
/* WORDFIND: a filter that copies only those lines of stdin to stdout that   */
/* contain a word from a list in another file.                               */
/*****************************************************************************/

arg wordlist infile outfile
call dosdel outfile

/* read wordlist */
do while lines(wordlist) \= 0
    line = upper(linein(wordlist))
    do while line ~= ''
        parse var line word line
        dict.word = 1
        end
    end
call lineout wordlist

/* search through infile */
do while lines(infile) \= 0
    line = linein(infile)
    do i = 1 to words(line)
        word = upper(word(line, i))
        if symbol('dict.word') == 'VAR' then do
            call lineout outfile, line
            leave
            end
        end
    end

call lineout infile
call lineout outfile
exit
