/* LEARN29.REX -- demonstrate REXX variable scoping */

a=1
SAY "Main (j unassigned):"
CALL PrintVars

CALL Proc1 a
SAY "Main (j created, a changed):"
CALL PrintVars

CALL Proc2
SAY "Main (a changed, j restored):"
CALL PrintVars

EXIT

Proc1:
/* everything is accessible */
   ARG j
   SAY "Proc1 (j created equal to a):"
   CALL PrintVars
   a = 3
   RETURN

Proc2: PROCEDURE EXPOSE a
/* a from main is accessible, j is local copy */
   SAY "Proc2 (a changed, j changed locally):"
   a = 7; j = 10
   SAY "a="a "j="j
   RETURN

PrintVars:
   SAY "a="a "j="j
   RETURN

/* END LEARN29.REX */
